local gametext = Var("GameCommand"):GetText()
local itemIndex = Var("GameCommand"):GetIndex()
local t = Def.ActorFrame {}

local gain = cmd(stoptweening;pulse;effectmagnitude,1,1.1,1;effecttiming,0,0.5,0.25,0)
local lose = cmd(stoptweening;stopeffect)

t[#t+1] = Def.Quad {
	InitCommand=cmd(diffuse,0,0,0,1;zoomto,100,100);
	GainFocusCommand=gain;
	LoseFocusCommand=lose;
}

t[#t+1] = LoadFont("ArialOutline")..{
	Name="txt";
	InitCommand=cmd(shadowlength,0;vertalign,bottom;y,45;zoom,0.5;wrapwidthpixels,190);
	GainFocusCommand=gain;
	LoseFocusCommand=lose;
	Text=gametext;
}

t[#t+1] = LoadActor("pic"..itemIndex+1)..{
	InitCommand=cmd(y,-12);
	GainFocusCommand=gain;
	LoseFocusCommand=lose;
}

--[[
1 Appearance Options	flechita
2 Coin Options	monedita
3 Graphic Options	pantalla

4 Key Joy Mappings	joypad,dancemat
5 Exit		letrero de salida
6 Test Input	joypad solo

7 Machine Options	arcadia
8 Reload Songs	flechas en círculo
9 Other Options	"??"
]]

t[#t+1] = LoadActor("_Frame")..{
	GainFocusCommand=gain;
	LoseFocusCommand=lose;
}

return t